# Metropolis

## Installation

```bash
$ yarn

# edit this file to match your environment
$ cp .env.sample .env
```

## Running the app

```bash
# postgres - required by the app
$ docker-compose up -d postgres
# migrations - required to apply before the app runs first time,
# and after new migrations appear
$ yarn migration:run

# development
$ yarn start

# watch mode
$ yarn start:dev

# production mode
$ yarn start:prod
```

## Test

No automatic tests, use cURL or Insomnia.

<!--
```bash
# unit tests
$ npm run test

# e2e tests
$ npm run test:e2e

# test coverage
$ npm run test:cov
```
-->
